#
# spec file for package live-fat-stick
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           live-fat-stick
Version:        0.4.2
Release:        4.14
Summary:        Tool for creating live USB stick with a FAT partition
License:        GPL-2.0+
Group:          System/Management
URL:            https://github.com/cyberorg/live-fat-stick
Source0:        live-fat-stick
Source1:        live-usb-gui
Source2:        live-usb-gui.desktop
Source3:        live-grub-stick
Source4:        INSTRUCTIONS.fat.txt
Source5:		INSTRUCTIONS.gui.txt
Source6:		INSTRUCTIONS.grub.txt
Requires:       dd_rescue
Requires:       parted
Requires:       syslinux
Requires:       util-linux
%if 0%{?fedora_version}
Requires:       qemu-kvm
%else
Requires:       qemu-tools
%endif
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# depends on syslinux, which exists only for the following arches:
ExclusiveArch:  %ix86 x86_64 noarch
BuildArch:      noarch

%description
This tool creates multi-boot capable USB stick/hard disk images with
whole ISOs on a FAT32 partition, keeping existing data untouched.

%package -n live-grub-stick
Requires:       dd_rescue
Requires:       grub2
Requires:       lsb-release
Requires:       parted
Requires:       util-linux
%if 0%{?fedora_version}
Requires:       qemu-kvm
%else
Requires:       qemu-tools
%endif
Summary:        Tool for creating multiboot live USB stick using grub2
Group:          System/Management

%description -n live-grub-stick
This tool creates multi-boot capable USB stick/hard disk with whole ISOs on any partition
supported by grub2, keeping existing data untouched. This tool uses grub2
instead of syslinux to achieve the same goal as live-fat-stick.

%package -n live-usb-gui
Requires:       live-fat-stick = %{version}
Requires:       live-grub-stick = %{version}
%if 0%{?suse_version}
Recommends:     zenity kdialog
%else
Requires:       zenity
%endif
Summary:        zenity-based frontend for live-fat-stick
Group:          System/Management

%description -n live-usb-gui
A zenity/kdialog-based GUI that runs the live-fat-stick or live-grub-stick scripts.

%prep
cp %{_sourcedir}/INS*.txt .

%build

%install
install -d -m 755 %{buildroot}/%_bindir/
install -d -m 755 %{buildroot}/%_datadir/applications/
cp %{SOURCE0} %{buildroot}/%_bindir/
cp %{SOURCE1} %{buildroot}/%_bindir/
cp %{SOURCE3} %{buildroot}/%_bindir/
cp %{SOURCE2} %{buildroot}/%_datadir/applications/

chmod 755 %{buildroot}/usr/bin/*
%if 0%{?suse_version}
%suse_update_desktop_file live-usb-gui
%endif

%post -n live-usb-gui
%desktop_database_post

%postun -n live-usb-gui
%desktop_database_postun

%files
%defattr(-,root,root)
%doc INSTRUCTIONS.fat.txt
%_bindir/live-fat-stick

%files -n live-grub-stick
%defattr(-,root,root)
%doc INSTRUCTIONS.grub.txt
%_bindir/live-grub-stick

%files -n live-usb-gui
%defattr(-,root,root)
%doc INSTRUCTIONS.gui.txt
%_bindir/live-usb-gui
%_datadir/applications/live-usb-gui.desktop

%changelog
* Tue Feb 12 2019 Jan Engelhardt <jengelh@inai.de>
- The description is not supposed to be a manual: trim instructions.
- Replace %%__-type macro indirections.
- Use noun phrase in summaries.
* Mon Feb 11 2019 opensuse.lietuviu.kalba@gmail.com
- Update descriptions.
* Wed May 30 2018 cyberorg@opensuse.org
- Add lsb-release requirement, fixes BSC #1093817
* Sat Feb  3 2018 cyberorg@cyberorg.info
- Remove fuseios requirement
- Support for ix86 arch on openSUSE
- Support new kiwi-live for newer openSUSE images
* Wed Jun 21 2017 opensuse.lietuviu.kalba@gmail.com
- tag 0.4.2 version
- use --force to install grub
- more explanations in GUI
* Tue Aug  9 2016 cyberorg@opensuse.org
- live-usb-gui only show available scripts
- get correct exit status, xterm always returned 0
- compare image size after copy
* Mon Aug  8 2016 cyberorg@opensuse.org
- Check iso size, vfat does not support file larger than 4G
* Sun Aug  7 2016 cyberorg@opensuse.org
- live-grub-stick support openSUSE install media iso on
  non-vfat partition
* Fri Jul 15 2016 cyberorg@opensuse.org
- Require qemu-tools to create cow file for persistence
* Sat Jul  2 2016 cyberorg@opensuse.org
- added --suse-persistent and --ubuntu-persistent
  with these options a cowfile is created to store changes
  made while in live mode
* Wed Jun 29 2016 cyberorg@opensuse.org
- many cross distribution fixes
* Thu Jun 23 2016 cyberorg@opensuse.org
- Shortname for Li-f-e
* Sun Jan 10 2016 cyberorg@opensuse.org
- Add syslinux availability only on ExclusiveArch ix86 x86_64
  as suggested by dmueller@suse.com
- disable suse specific macros on other distros
* Sun Dec 27 2015 cyberorg@opensuse.org
- more cleanups, remove duplicated mounts, check before mounting
* Sat Dec 26 2015 cyberorg@opensuse.org
- Add ipxe network boot support
* Fri Dec 25 2015 cyberorg@opensuse.org
- Add live-grub-stick to create multiboot USB using grub2
* Fri Jul 10 2015 cyberorg@opensuse.org
- fixes for isoname and path with spaces in them
* Thu Feb 26 2015 cyberorg@opensuse.org
- use by-path instead of by-id to detect usb storage devices
* Sat Nov  8 2014 opensuse.lietuviu.kalba@gmail.com
- Fix live-fat-stick then ISO filename contains spaces
* Thu Jan 30 2014 cyberorg@opensuse.org
- use fuseiso to mount iso image instead of mount
* Wed Jan 29 2014 cyberorg@opensuse.org
- dd_rescue optimization
- live-fat-stick now supports --isohybrid option
* Tue Jan 21 2014 cyberorg@opensuse.org
- live-usb-gui supports isohybrid and be nice
* Wed Dec  4 2013 cyberorg@opensuse.org
- minor fixes
* Thu Feb 14 2013 cyberorg@opensuse.org
- add live-usb-gui
* Mon Feb 11 2013 cyberorg@opensuse.org
- supports ubuntu and fedora as well, see live-fat-stick -h
  for syntax change
* Sat Sep 15 2012 cyberorg@opensuse.org
- better handling of iso already on stick
* Fri Sep 14 2012 cyberorg@opensuse.org
- cleanup, allow using iso already on usb stick
* Fri Sep 14 2012 cyberorg@opensuse.org
- live-fat-stick -l to list possible usb sticks
* Thu Sep 13 2012 cyberorg@opensuse.org
- initial package
